# Class CIM_DatabaseSystem
extends CIM_ApplicationSystem

A database environment is composed of a database system (the application system represented by this class), one or more database services, and one or more databases. See the descriptions of CIM_DatabaseService and CIM_CommonDatabase for get more detailed information about database services and databases. Each separately manageable database system should have an instance in this class. This class can be used: - to determine the software that belongs to the database system. - to perform database system-wide management operations, such as stopping all the databases that were created by the database system for maintenance purposes. - to view runtime statistics in the context of a database system. Many of the management capabilities that are needed to represent a database system as an application system have already been modeled in the CIM_ApplicationSystem class from which CIM_DatabaseSystem extends. CIM_DatabaseSystem provides a logical entity to define the relationships that are specific to the database management domain.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_System
|
+--CIM_ApplicationSystem
|
+--CIM_DatabaseSystem

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

A database environment is composed of a database system (the application system represented by this class), one or more database services, and one or more databases. See the descriptions of CIM_DatabaseService and CIM_CommonDatabase for get more detailed information about database services and databases. Each separately manageable database system should have an instance in this class. This class can be used: - to determine the software that belongs to the database system. - to perform database system-wide management operations, such as stopping all the databases that were created by the database system for maintenance purposes. - to view runtime statistics in the context of a database system. Many of the management capabilities that are needed to represent a database system as an application system have already been modeled in the CIM_ApplicationSystem class from which CIM_DatabaseSystem extends. CIM_DatabaseSystem provides a logical entity to define the relationships that are specific to the database management domain.

UMLPackagePath | string | CIM::Database::System
Version | string | 2.7.0

## Class Properties

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_System
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
Distribution | uint16 | CIM_ApplicationSystem
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_ApplicationSystem
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
LastServingStatusUpdate | datetime | CIM_ApplicationSystem
Name | string | CIM_System
NameFormat | string | CIM_System
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
PrimaryOwnerContact | string | CIM_System
PrimaryOwnerName | string | CIM_System
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RequestedState | uint16 | CIM_EnabledLogicalElement
ServingStatus | uint16 | CIM_ApplicationSystem
StartupTime | datetime | CIM_ApplicationSystem
Status | string | CIM_ManagedSystemElement
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
IdentifyingDescriptions | string[] | CIM_System
OperationalStatus | uint16[] | CIM_ManagedSystemElement
OtherIdentifyingInfo | string[] | CIM_System
Roles | string[] | CIM_System
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement
StartApplication | uint16 | CIM_ApplicationSystem
StopApplication | uint16 | CIM_ApplicationSystem